src/mesh/cs_join_post.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_join_post.h File Reference
`#include "fvm_nodal.h"`
`#include "fvm_writer.h"`
`#include "cs_join_mesh.h"`
`#include "cs_join_util.h"`
`#include "cs_mesh.h"`
Include dependency graph for cs_join_post.h:

Go to the source code of this file.

## Functions
void | cs_join_post_init (void)
void | cs_join_post_mesh (const char *mesh_name, const cs_join_mesh_t *join_mesh)
void | cs_join_post_faces_subset (const char *mesh_name, const cs_join_mesh_t *parent_mesh, cs_lnum_t n_select_faces, const cs_lnum_t selected_faces[])
void | cs_join_post_after_merge (cs_join_param_t join_param, const cs_join_select_t *join_select)
void | cs_join_post_after_split (cs_lnum_t n_old_i_faces, cs_lnum_t n_old_b_faces, cs_gnum_t n_g_new_b_faces, cs_lnum_t n_select_faces, const cs_mesh_t *mesh, cs_join_param_t join_param)
void | cs_join_post_cleaned_faces (cs_lnum_t n_i_clean_faces, cs_lnum_t i_clean_faces[], cs_lnum_t n_b_clean_faces, cs_lnum_t b_clean_faces[], cs_join_param_t param)
void | cs_join_post_dump_mesh (const char *basename, const cs_join_mesh_t *mesh, cs_join_param_t param)

## Function Documentation

void cs_join_post_after_merge | ( | cs_join_param_t | join_param,
|  | const cs_join_select_t * | join_select
| ) |  |

void cs_join_post_after_split | ( | cs_lnum_t | n_old_i_faces,
|  | cs_lnum_t | n_old_b_faces,
|  | cs_gnum_t | n_g_new_b_faces,
|  | cs_lnum_t | n_select_faces,
|  | const cs_mesh_t * | mesh,
|  | cs_join_param_t | join_param
| ) |  |

void cs_join_post_cleaned_faces | ( | cs_lnum_t | n_i_clean_faces,
|  | cs_lnum_t | i_clean_faces[],
|  | cs_lnum_t | n_b_clean_faces,
|  | cs_lnum_t | b_clean_faces[],
|  | cs_join_param_t | param
| ) |  |

void cs_join_post_dump_mesh | ( | const char * | basename,
|  | const cs_join_mesh_t * | mesh,
|  | cs_join_param_t | param
| ) |  |

void cs_join_post_faces_subset | ( | const char * | mesh_name,
|  | const cs_join_mesh_t * | parent_mesh,
|  | cs_lnum_t | n_select_faces,
|  | const cs_lnum_t | selected_faces[]
| ) |  |

void cs_join_post_init | ( | void |  | ) |

void cs_join_post_mesh | ( | const char * | mesh_name,
|  | const cs_join_mesh_t * | join_mesh
| ) |  |